The “Delete Price by ID for a Product” API allows deleting a specific price associated with a particular product using its unique identifier. Use this endpoint to remove a price from the system.
DELETE https://services.leadconnectorhq.com/products/{productId}/price/{priceId}
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación .
Version
string
default: "2021-07-28"
required
Versión de la API.
Path parameters
productId
string
default: "6578278e879ad2646715ba9c"
required
ID of the product that needs to be used
priceId
string
default: "6578278e879ad2646715ba9c"
required
ID of the price that needs to be returned
Query parameters
locationId
string
default: "6578278e879ad2646715ba9c"
required
account Id
Respuestas
200 - Successful response
status
boolean
default: "True"
required
returns true if the price is successfully deleted
422 - Unprocessable Entity
Ejemplo
curl -X DELETE 'https://services.leadconnectorhq.com/products/YOUR_productId/price/YOUR_priceId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch ( 'https://services.leadconnectorhq.com/products/YOUR_productId/price/YOUR_priceId' , {
method: 'DELETE' ,
headers: {
Authorization: `Bearer ${ process . env . LEADWAY_TOKEN } ` ,
Version: '2021-07-28' ,
},
});
const data = await response . json ();
import os, requests
response = requests.request(
'DELETE' ,
'https://services.leadconnectorhq.com/products/YOUR_productId/price/YOUR_priceId' ,
headers = {
'Authorization' : f "Bearer { os.environ[ 'LEADWAY_TOKEN' ] } " ,
'Version' : '2021-07-28' ,
},
)
data = response.json()
<? php
$ch = curl_init ( 'https://services.leadconnectorhq.com/products/YOUR_productId/price/YOUR_priceId' );
curl_setopt_array ( $ch , [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => ' DELETE ' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv ( 'LEADWAY_TOKEN' ),
'Version: 2021-07-28' ,
],
]);
$data = json_decode ( curl_exec ( $ch ), true );